package cli

import (
	"fmt"
	"os/exec"

	"coopcloud.tech/abra/cli/internal"
	"github.com/sirupsen/logrus"
	"github.com/urfave/cli/v2"
)

var mainURL = "https://install.abra.coopcloud.tech"

var releaseCandidateURL = "https://git.coopcloud.tech/coop-cloud/abra/raw/branch/main/scripts/installer/installer"

// UpgradeCommand upgrades abra in-place.
var UpgradeCommand = &cli.Command{
	Name:  "upgrade",
	Usage: "Upgrade abra",
	Flags: []cli.Flag{internal.RCFlag},
	Action: func(c *cli.Context) error {
		cmd := exec.Command("bash", "-c", fmt.Sprintf("curl -s %s | bash", mainURL))
		if internal.RC {
			cmd = exec.Command("bash", "-c", fmt.Sprintf("curl -s %s | bash -s -- --rc", releaseCandidateURL))
		}
		logrus.Debugf("attempting to run '%s'", cmd)
		if err := internal.RunCmd(cmd); err != nil {
			logrus.Fatal(err)
		}
		return nil
	},
}
